summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-30 05:22:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-11-30 05:22:53 +0000
commitf1532a598dd33c4d9110f88ef3acf481d5cf0820 (patch)
tree824d4bd19b0d4ca73e2e9642839e825da6cce6a6 /dev-python
parenta7fdf68b8d3110ba9839a1dcdbea1f65bbba9543 (diff)
downloadbaldeagleos-repo-f1532a598dd33c4d9110f88ef3acf481d5cf0820.tar.gz
baldeagleos-repo-f1532a598dd33c4d9110f88ef3acf481d5cf0820.tar.xz
baldeagleos-repo-f1532a598dd33c4d9110f88ef3acf481d5cf0820.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/wand/Manifest1
-rw-r--r--dev-python/wand/wand-0.6.5.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/wand/Manifest b/dev-python/wand/Manifest
index f7e8fce9bff9..f575f27b648d 100644
--- a/dev-python/wand/Manifest
+++ b/dev-python/wand/Manifest
@@ -1 +1,2 @@
DIST Wand-0.6.3.tar.gz 10506834 BLAKE2B 65ba3d5719f7ad8d77a088d94344cc96f14ca45e95850494033a395cc8772d431653a16b2c3494268f351ee4187e5f5f0dbc22058266e9526cff2312e9a2c5b9 SHA512 9aef97434cc8cdef0880d1d1b2bbbdadba807543489d2c82725aa0b5287718f2a10f5508ca7d72a859e242e2b3e205e5f95649cb43be56d5eec8a83c272d0bac
+DIST Wand-0.6.5.tar.gz 11477141 BLAKE2B 7257dbee8642d619d69d773aa5e0f70c27e32eb5ca4168746efb191ce6d2a49b000aee07127aa51e1906e52e7bc7f2375f39482edf6a841933e4eb2711217fed SHA512 7355888da6ea604759d4af8548d4c2e08d529c88d2720400bbfc6a19bdb03049f3faa5abcd5f3a9c69b705754e86ad4f511a76a0a310d5dece5c2774d74e543b
diff --git a/dev-python/wand/wand-0.6.5.ebuild b/dev-python/wand/wand-0.6.5.ebuild
new file mode 100644
index 000000000000..8bc9d6e71c5f
--- /dev/null
+++ b/dev-python/wand/wand-0.6.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+
+inherit distutils-r1
+
+MY_P="${PN^}-${PV}"
+DESCRIPTION="Ctypes-based simple ImageMagick binding for Python"
+HOMEPAGE="https://wand-py.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="media-gfx/imagemagick"
+BDEPEND="
+ test? (
+ media-gfx/imagemagick[fftw,jpeg,png,truetype,xml]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_test() {
+ # PDF support is blocked by the default ImageMagick security policy
+ pytest -vv --skip-pdf || die "Tests fail with ${EPYTHON}"
+}